Module jdk.xml.dom
Package org.w3c.dom.html

## Interface HTMLBodyElement

- All Superinterfaces:
    `Element`, `HTMLElement`, `Node`

      public interface HTMLBodyElement
      extends HTMLElement

  The HTML document body. This element is always present in the DOM API, even if the tags are not present in the source document. See the BODY element definition in HTML 4.0.

  See also the Document Object Model (DOM) Level 2 Specification.

  Since:
    1.4, DOM Level 2

- - ### Field Summary

    - ### Fields declared in interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getALink()` | Color of active links (after mouse-button down, but before mouse-button up).
    `String` | `getBackground()` | URI of the background texture tile image.
    `String` | `getBgColor()` | Document background color.
    `String` | `getLink()` | Color of links that are not active and unvisited.
    `String` | `getText()` | Document text color.
    `String` | `getVLink()` | Color of links that have been visited by the user.
    `void` | `setALink​(String aLink)` |
    `void` | `setBackground​(String background)` |
    `void` | `setBgColor​(String bgColor)` |
    `void` | `setLink​(String link)` |
    `void` | `setText​(String text)` |
    `void` | `setVLink​(String vLink)` |

    - ### Methods declared in interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods declared in interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods declared in interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getALink

          String getALink()

      Color of active links (after mouse-button down, but before mouse-button up). See the alink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setALink

          void setALink​(String aLink)

    - #### getBackground

          String getBackground()

      URI of the background texture tile image. See the background attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setBackground

          void setBackground​(String background)

    - #### getBgColor

          String getBgColor()

      Document background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setBgColor

          void setBgColor​(String bgColor)

    - #### getLink

          String getLink()

      Color of links that are not active and unvisited. See the link attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setLink

          void setLink​(String link)

    - #### getText

          String getText()

      Document text color. See the text attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setText

          void setText​(String text)

    - #### getVLink

          String getVLink()

      Color of links that have been visited by the user. See the vlink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setVLink

          void setVLink​(String vLink)